<?xml version="1.0"?>
<!-- edited with XML Spy v3.5 NT (http://www.xmlspy.com) by Scott A. White (Hewlett-Packard Co.) -->
<!-- Hewlett-Packard Co. Printer Driver Configuration Information File 

This file contains information related to printer capabilities and features.  It is reccommended
that this file NOT be edited directly, but used in conjunction with HP's Web JetAdmin printer
installation utility or with the HP Printing System Customization Utility contained on the 
CDROM that shipped with the product.

Editing this file by hand may result in unexpected feature settings in the printer driver UI.
-->
<device>
    <software>
        <file_header>
            <config_file>HP_PreConfiguration_xml</config_file>
            <config_file_version>1.0.0.0</config_file_version>
            <config_timestamp/>
            <config_version>1.0</config_version>
        </file_header>
        <device resource_id="">
            <device_header>
                <device_model>HP Business Inkjet Series</device_model>
                <device_id>HP Business Inkjet 2230/2280</device_id>
                <device_lptenum/>
                <device_hostname/>
                <device_address/>
            </device_header>
        </device>
        <component resource_id="">
            Driver
            <component_header>
                <!-- Resource DLL Identifier-->
                <component_resource>hpb1234r.dll</component_resource>
                <!-- Component URL - http based component retreival -->
                <component_url>
                    <!-- Each file to be retreived via http or ftp listed -->
                    <file_url/>
                </component_url>
            </component_header>
            <current>
                <!-- Pre-Configuration Settings Stored in <Current> Element -->
                <!--Device Settings / Configure Tab Setting -->
                <physical>
                </physical>
                <!-- Printing Features -->
                <printing>
                </printing>
                <custom>
                </custom>
            </current>
            <factory>
                <bundle>
                </bundle>
                <!--Device Settings / Configure Tab Setting -->
                <physical>
                </physical>
                <!-- Printing Features -->
                <printing>
                    <!-- Print in Grayscale -->
                    <feature resource_id="836" typical="true" caption_id="10056" lock="FALSE">
                        PrintColorAsGray
                        <current_option>Disable</current_option>
                        <num_options>2</num_options>
                        <option resource_id="5">
                            Disable
                        </option>
                        <option resource_id="4">
                            Enable
                        </option>
                    </feature>
                    <!-- PaperSize-->
                    <feature resource_id="200" typical="true" caption_id="10012">
                        PaperSize
                        <current_option>LETTER</current_option>
                        <num_options>6</num_options>
                        <option resource_id="209">
                            LETTER
                        </option>
                        <option resource_id="213">
                            LEGAL
                        </option>
                        <option resource_id="215">
                            EXECUTIVE
                        </option>
                        <option resource_id="217">
                            A4
                        </option>
                        <option resource_id="219">
                            A5
                        </option>
                        <option resource_id="221">
                            B5_JIS
                        </option>
                        <option resource_id="228">
                            ENV_10
                            <constraint> tray2_constraint </constraint>
                        </option>
                        <option resource_id="325">
                            ENV_A2
                            <constraint> tray2_constraint </constraint>
                        </option>
                        <option resource_id="245">
                            ENV_MONARCH
                            <constraint> tray2_constraint </constraint>
                        </option>
                        <option resource_id="235">
                            ENV_DL
                            <constraint> tray2_constraint </constraint>
                        </option>
                        <option resource_id="236">
                            ENV_C5
                            <constraint> tray2_constraint </constraint>
                        </option>
                        <option resource_id="239">
                            ENV_C6
                            <constraint> tray2_constraint </constraint>
                        </option>
                        <!--
                         <option resource_id="277">
                            ENV_JAPAN_3
                            <constraint> tray2_constraint </constraint>
                        </option>  -->
                        <option resource_id="323">
                            INDEX_CARD_4X6
                            <constraint> tray2_constraint </constraint>
                        </option> 
                        <option resource_id="324">
                            INDEX_CARD_5X8
                            <constraint> tray2_constraint </constraint>
                        </option>
                        <option resource_id="333">
                            A6_CARD
                            <constraint> tray2_constraint </constraint>
                        </option>
                    </feature>
                    <!-- MediaType -->
                    <feature resource_id="550" typical="true" caption_id="10017">
                        MediaType
                        <current_option>PLAIN</current_option>
                        <num_options>1</num_options>
                        <option resource_id="571">
                            PLAIN
                        </option>
                        <option resource_id="577">
                            HP_PREM_INKJET_PAPER
                            <constraint> tray2_constraint </constraint>
                            <constraint> fast_constraint </constraint> 
                        </option>
                        <option resource_id="578">
                            HP_PREM_INKJET_HEAVY_WEIGHT_PAPER
                            <constraint> tray2_constraint </constraint>
                            <constraint> fast_constraint </constraint>
                        </option>
                        <option resource_id="594">
                            HP_PREM_PLUS_TRANSPARENCY
                            <constraint> tray2_constraint </constraint>
                        </option>
                        <option resource_id="579">
                            HP_PREM_TRANSPARENCY
                            <constraint> tray2_constraint </constraint>
                        </option>
                        <option resource_id="580">
                            HP_PREM_PHOTO_PAPER
                            <constraint> tray2_constraint </constraint>
                            <constraint> fast_constraint </constraint>
                        </option>
                        <option resource_id="581">
                            HP_PHOTO_PAPER
                            <constraint> tray2_constraint </constraint>
                            <constraint> fast_constraint </constraint>
                        </option>
                        <option resource_id="582">
                            HP_PROFESSIONAL_BROCHURE_GLOSSY
                            <constraint> tray2_constraint </constraint>
                            <constraint> fast_constraint </constraint>
                        </option>
                        <option resource_id="583">
                            HP_PROFESSIONAL_BROCHURE_MATTE
                            <constraint> tray2_constraint </constraint>
                            <constraint> fast_constraint </constraint>
                        </option>
                    </feature>
                    <!-- InputBin -->
                    <feature resource_id="432" typical="true" caption_id="10018">
                        InputBin
                        <current_option>Auto</current_option>
                        <num_options>6</num_options>
                        <option resource_id="425">
                            Auto
                        </option>
                        <option resource_id="408">
                            Tray1
                        </option>
                        <option resource_id="409">
                            Tray2
                            <constraint> media_tray2_constraint </constraint>
                            <constraint> paper_tray2_constraint </constraint>
                        </option>
                    </feature>
                    
                </printing>
                <custom>
                </custom>
                <constraints>
                    <constraint>
                        tray2_constraint
                        <forbids>
                            <item>printing/Inputbin == Tray2</item>
                        </forbids>
                    </constraint>
                    <constraint>
                         media_fast_constraint
                         <requires>
                             <item> printing/mediatype != HP_PREM_INKJET_PAPER </item>
                             <item> printing/mediatype != HP_PREM_INKJET_HEAVY_WEIGHT_PAPER </item>
                             <item> printing/mediatype != HP_PREM_PHOTO_PAPER </item>
                             <item> printing/mediatype != HP_PHOTO_PAPER </item>
                             <item> printing/mediatype != HP_PROFESSIONAL_BROCHURE_GLOSSY </item>
                             <item> printing/mediatype != HP_PROFESSIONAL_BROCHURE_MATTE </item>
                         </requires>
                    </constraint>
                    <constraint>
                        media_tray2_constraint
                        <requires>
                            <item>printing/mediatype == PLAIN</item>
                        </requires>
                    </constraint>
                    <constraint>
                        fast_constraint
                        <forbids>
                            <item> printing/printquality == Fast </item>
                        </forbids>      
                    </constraint>
                    <constraint>
                        paper_tray2_constraint
                        <requires>
                            <item>printing/papersize != B5_JIS</item>
                            <item>printing/papersize != ENV_10</item>
                            <item>printing/papersize != ENV_A2</item>
                            <item>printing/papersize != ENV_MONARCH</item>
                            <item>printing/papersize != ENV_DL</item>
                            <item>printing/papersize != ENV_C5</item>
                            <item>printing/papersize != ENV_C6</item>
                            <item>printing/papersize != ENV_JAPAN_3</item>
                            <item>printing/papersize != INDEX_CARD_4X6</item>
                            <item>printing/papersize != INDEX_CARD_5X8</item>
                            <item>printing/papersize != A6_CARD</item>
                        </requires>
                    </constraint>
                </constraints>
            </factory>
        </component>
    </software>
</device>
